 package com.tanpu.feo.feojob.entity;

import java.io.Serializable;
import java.util.Date;


import cn.hutool.crypto.digest.MD5;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tanpu.feo.feojob.entity.jyzy.JyzyUserInfoEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.extern.slf4j.Slf4j;

 /**
 * Entity
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("user_info")
public class UserInfoEntity implements Serializable {

    private static final long serialVersionUID = 1L;
	/** ID */
	private String id;
	/** 微信openId */
	private String uiOpenid;
	/** unionId */
	private String uiUnionid;
	/** 手机号 */
	private String uiTelphone;
	/** 登录密码 */
	private String uiPwd;
	/** 昵称 */
	private String uiNickname;
	/** 头像 */
	private String uiHeadimg;
	/** 姓名 */
	private String uiUsername;
	/** 性别 0：男 1：女 */
	private String uiSex;
	/** 生日 */
	private Date uiBirthday;
	/** 个人介绍 */
	private String uiIntroduction;
	/** 名片样式 0：小名片 1：大名片 */
	private String uiTypeMp;
	/** 名片头像 */
	private String uiHeadimgMp;
	/** 名片姓名 */
	private String uiUsernameMp;
	/** 名片电话 */
	private String uiTelphoneMp;
	/** 手机 */
	private String uiMobilephoneMp;
	/** 名片公司名称 */
	private String uiCompanyMp;
	/** 名片公司地址 */
	private String uiCompanyAddressMp;
	/** 名片职位 */
	private String uiPositionMp;
	/** 行业 */
	private String uiIndustryMp;
	/** 名片邮箱 */
	private String uiEmailMp;
	/** 名片个人介绍 */
	private String uiIntroductionMp;
	/** 微信个人二维码名片 */
	private String uiWechatQrcode;
	/** 小程序二维码 */
	private String uiWechatXcxQrcode;
	/** 类型 0：app注册 1：平台添加 */
	private String uiType;
	/** 用户身份 0：普通用户 1：种子用户 2：超级用户 */
	private String uiShenfen;
	/** 认证状态 0:未认证 1:已认证 */
	private Integer uiRzstatus;
	/** 机构Id */
	private String orgId;
	/** 团队Id */
	private String teamId;
	/** 加入团队时间 */
	private Date joinTime;
	/** 员工工号 */
	private String staffNo;
	/** 合格投资者认证状态 */
	private Integer investorCertifiedStatus;
	/** 合格投资者认证时间 */
	private Date investorCertifiedTime;
	/** 对外合作权限 */
	private String toPartner;
	/** 等级 */
	private String uiGrade;
	/** 内容审核 */
	private Integer contentReview;
	/** 所获荣誉 */
	private String uiHonor;
	/** 海报扫码关注公众号引流人 */
	private String uiHbUserid;
	/**  */
	private String staffRegion;
	/**  */
	private String branchName;
	/**  */
	private String subBranchName;
	/**  */
	private String branchNetworkName;
	/**  */
	private String uiGradeName;
	/**  */
	private String uiTargetGradeName;
	/**  */
	private String uiSource;
	/** 创建时间 */
	private Date createtime;
	/** 创建人 */
	private String createby;
	/** 修改时间 */
	private Date updatetime;
	/** 修改人 */
	private String updateby;
	/** 删除标识 */
	private String deletetag;
	/** 前端角色 */
	private String frontRoles;
	/** 名片检查 */
	private Integer uiCheckStatus;
	/**  */
	private String city;
	/**  */
	private String province;
	/**  */
	private String country;
	/**  */
	private String uiInviter;
	/**  */
	private String uiInviterPhone;
	/**  */
	private Integer uiAge;
	/**  */
	private String uiRegion;
	/**  */
	private String uiWecaht;
	/**  */
	private Date uiInviterTime;
	/** 微信unionId */
	private String unionid;
	/** 0游客，1注册用户，2理财师 */
	private Integer level;
	/** 年龄 */
	private Integer age;
	/** 区县 */
	private String district;
	/** 详细地址 */
	private String address;
	/** 学历：0: 未知，1：专科，2：本科，3：211本科，4：硕士及以上 */
	private Integer education;
	/** 微信号 */
	private String wechat;
	/** 高净值客户数（0:无，1:10人一下，2:10-30人，3:30-50人，4:50以上） */
	private Integer highWorthCustomerNum;
	/** 高净值客户资产配置：（0：无，1:100万一下，2:100-200万，3:200-400万，4:400-600万，5:600万以上） */
	private Integer customerAsset;
	/** 自身是否是理财师 */
	private Integer financialPlanner;
	/** 会员到期时间 */
	private Date vipEndTime;
	/**  */
	private Date uiRegisterTime;
	/** 权限集 以英文;分割（S1-基础营） */
	private String uiAuth;
	/**  */
	private String uiChannel;
	/** 审核时间 */
	private Date reviewTime;
	/** 苹果授权用户id */
	private String uiAppleUserid;
	/** 理财师编号 */
	private String ifaNo;
	/** 真实姓名，禁用于运营维护 */
	private String realname;
	/** 企业微信uid */
	private String wxcpUid;
    /** id 构造器*/
    public UserInfoEntity(String id) {
       this.setId(id);
    }

	public UserInfoEntity(JyzyUserInfoEntity jyzyUserInfo) {
    	this.id = jyzyUserInfo.getId();
    	this.uiOpenid = jyzyUserInfo.getUiOpenid();
    	this.uiUnionid = jyzyUserInfo.getUiUnionid();
    	this.uiTelphone = jyzyUserInfo.getUiTelphone();
    	this.uiNickname = jyzyUserInfo.getUiNickname();
    	this.uiHeadimg = jyzyUserInfo.getUiHeadimg();
    	this.uiUsername = jyzyUserInfo.getUiUsername();
    	this.uiSex = jyzyUserInfo.getUiSex();
    	this.uiBirthday = jyzyUserInfo.getUiBirthday();
    	this.uiIntroduction = jyzyUserInfo.getUiIntroduction();
    	this.uiTypeMp = jyzyUserInfo.getUiTypeMp();
    	this.uiHeadimgMp = jyzyUserInfo.getUiHeadimgMp();
    	this.uiUsernameMp = jyzyUserInfo.getUiUsernameMp();
    	this.uiTelphoneMp = jyzyUserInfo.getUiTelphoneMp();
    	this.uiMobilephoneMp = jyzyUserInfo.getUiMobilephoneMp();
    	this.uiCompanyMp = jyzyUserInfo.getUiCompanyMp();
    	this.uiCompanyAddressMp = jyzyUserInfo.getUiCompanyAddressMp();
    	this.uiPositionMp = jyzyUserInfo.getUiPositionMp();
    	this.uiEmailMp = jyzyUserInfo.getUiEmailMp();
    	this.uiIntroductionMp = jyzyUserInfo.getUiIntroductionMp();
    	this.uiWechatQrcode = jyzyUserInfo.getUiWechatQrcode();
    	this.uiType = jyzyUserInfo.getUiType();
    	this.uiShenfen = jyzyUserInfo.getUiShenfen();
    	this.uiRzstatus = jyzyUserInfo.getUiRzstatus();
    	this.teamId = jyzyUserInfo.getTeamId();
    	this.joinTime = jyzyUserInfo.getJoinTime();
    	this.staffNo = jyzyUserInfo.getStaffNo();
    	this.toPartner = jyzyUserInfo.getToPartner();
    	this.investorCertifiedStatus = jyzyUserInfo.getInvestorCertifiedStatus();
    	this.investorCertifiedTime = jyzyUserInfo.getInvestorCertifiedTime();
    	this.uiIndustryMp = jyzyUserInfo.getUiIndustryMp();
    	this.uiHonor = jyzyUserInfo.getUiHonor();
    	this.staffRegion = jyzyUserInfo.getStaffRegion();
    	this.branchName = jyzyUserInfo.getBranchName();
    	this.subBranchName = jyzyUserInfo.getSubBranchName();
    	this.uiGradeName = jyzyUserInfo.getUiGradeName();
    	this.uiHbUserid = jyzyUserInfo.getUiHbUserid();
    	this.uiTargetGradeName = jyzyUserInfo.getUiTargetGradeName();
    	this.uiCheckStatus = jyzyUserInfo.getUiCheckStatus();
    	this.contentReview = jyzyUserInfo.getContentReview();
    	this.frontRoles = jyzyUserInfo.getFrontRoles();
    	this.city = jyzyUserInfo.getCity();
    	this.province = jyzyUserInfo.getProvince();
    	this.country = jyzyUserInfo.getCountry();

	}

	public String getMD5() {
		StringBuilder stringBuilder = new StringBuilder();
		String s = stringBuilder
				.append(this.id)
				.append(this.uiOpenid)
				.append(this.uiUnionid)
				.append(this.uiTelphone)
				.append(this.uiNickname)
				.append(this.uiHeadimg)
				.append(this.uiUsername)
				.append(this.uiSex)
				.append(this.uiBirthday)
				.append(this.uiIntroduction)
				.append(this.uiTypeMp)
				.append(this.uiHeadimgMp)
				.append(this.uiUsernameMp)
				.append(this.uiTelphoneMp)
				.append(this.uiMobilephoneMp)
				.append(this.uiCompanyMp)
				.append(this.uiCompanyAddressMp)
				.append(this.uiPositionMp)
				.append(this.uiEmailMp)
				.append(this.uiIntroductionMp)
				.append(this.uiWechatQrcode)
				.append(this.uiType)
				.append(this.uiShenfen)
				.append(this.uiRzstatus)
				.append(this.teamId)
				.append(this.joinTime)
				.append(this.staffNo)
				.append(this.toPartner)
				.append(this.investorCertifiedStatus)
				.append(this.investorCertifiedTime)
				.append(this.uiIndustryMp)
				.append(this.uiHonor)
				.append(this.staffRegion)
				.append(this.branchName)
				.append(this.subBranchName)
				.append(this.uiGradeName)
				.append(this.uiHbUserid)
				.append(this.uiTargetGradeName)
				.append(this.uiCheckStatus)
				.append(this.contentReview)
				.append(this.frontRoles)
				.append(this.city)
				.append(this.province)
				.append(this.country).toString();
        return MD5.create().digestHex(s);
    }

	public void update(JyzyUserInfoEntity jyzyUserInfo) {
		this.id = jyzyUserInfo.getId();
		this.uiOpenid = jyzyUserInfo.getUiOpenid();
		this.uiUnionid = jyzyUserInfo.getUiUnionid();
		this.uiTelphone = jyzyUserInfo.getUiTelphone();
		this.uiNickname = jyzyUserInfo.getUiNickname();
		this.uiHeadimg = jyzyUserInfo.getUiHeadimg();
		this.uiUsername = jyzyUserInfo.getUiUsername();
		this.uiSex = jyzyUserInfo.getUiSex();
		this.uiBirthday = jyzyUserInfo.getUiBirthday();
		this.uiIntroduction = jyzyUserInfo.getUiIntroduction();
		this.uiTypeMp = jyzyUserInfo.getUiTypeMp();
		this.uiHeadimgMp = jyzyUserInfo.getUiHeadimgMp();
		this.uiUsernameMp = jyzyUserInfo.getUiUsernameMp();
		this.uiTelphoneMp = jyzyUserInfo.getUiTelphoneMp();
		this.uiMobilephoneMp = jyzyUserInfo.getUiMobilephoneMp();
		this.uiCompanyMp = jyzyUserInfo.getUiCompanyMp();
		this.uiCompanyAddressMp = jyzyUserInfo.getUiCompanyAddressMp();
		this.uiPositionMp = jyzyUserInfo.getUiPositionMp();
		this.uiEmailMp = jyzyUserInfo.getUiEmailMp();
		this.uiIntroductionMp = jyzyUserInfo.getUiIntroductionMp();
		this.uiWechatQrcode = jyzyUserInfo.getUiWechatQrcode();
		this.uiType = jyzyUserInfo.getUiType();
		this.uiShenfen = jyzyUserInfo.getUiShenfen();
		this.uiRzstatus = jyzyUserInfo.getUiRzstatus();
		this.teamId = jyzyUserInfo.getTeamId();
		this.joinTime = jyzyUserInfo.getJoinTime();
		this.staffNo = jyzyUserInfo.getStaffNo();
		this.toPartner = jyzyUserInfo.getToPartner();
		this.investorCertifiedStatus = jyzyUserInfo.getInvestorCertifiedStatus();
		this.investorCertifiedTime = jyzyUserInfo.getInvestorCertifiedTime();
		this.uiIndustryMp = jyzyUserInfo.getUiIndustryMp();
		this.uiHonor = jyzyUserInfo.getUiHonor();
		this.staffRegion = jyzyUserInfo.getStaffRegion();
		this.branchName = jyzyUserInfo.getBranchName();
		this.subBranchName = jyzyUserInfo.getSubBranchName();
		this.uiGradeName = jyzyUserInfo.getUiGradeName();
		this.uiHbUserid = jyzyUserInfo.getUiHbUserid();
		this.uiTargetGradeName = jyzyUserInfo.getUiTargetGradeName();
		this.uiCheckStatus = jyzyUserInfo.getUiCheckStatus();
		this.contentReview = jyzyUserInfo.getContentReview();
		this.frontRoles = jyzyUserInfo.getFrontRoles();
		this.city = jyzyUserInfo.getCity();
		this.province = jyzyUserInfo.getProvince();
		this.country = jyzyUserInfo.getCountry();
	}
}
