package com.tanpu.feo.feojob.service;

import java.util.ArrayList;
import java.util.List;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tanpu.feo.feojob.constant.BaseConstant;
import com.tanpu.feo.feojob.dto.DepartmentEmployeeDTO;
import com.tanpu.feo.feojob.entity.DepartmentEmployeeEntity;
import com.tanpu.feo.feojob.mapper.DepartmentEmployeeMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import lombok.extern.slf4j.Slf4j;

import cn.hutool.core.bean.BeanUtil;

/**
 * 部门员工关系表ServiceImp
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Service("departmentEmployeeService")
@Slf4j
public class DepartmentEmployeeService extends ServiceImpl<DepartmentEmployeeMapper, DepartmentEmployeeEntity> {

	@Autowired
	private DepartmentEmployeeMapper departmentEmployeeMapper;


	public DepartmentEmployeeDTO selectById(String id) {
		DepartmentEmployeeEntity departmentEmployee = departmentEmployeeMapper.selectById(id);
		return BeanUtil.toBean(departmentEmployee, DepartmentEmployeeDTO.class);
	}

	public List<DepartmentEmployeeDTO> selectListByObject(DepartmentEmployeeDTO departmentEmployeeDTO) {
		DepartmentEmployeeEntity departmentEmployee = BeanUtil.toBean(departmentEmployeeDTO, DepartmentEmployeeEntity.class);
		QueryWrapper queryWrapper = new QueryWrapper<>(departmentEmployee);
		List<DepartmentEmployeeEntity> departmentEmployeeList = departmentEmployeeMapper.selectList(queryWrapper);
		List<DepartmentEmployeeDTO> departmentEmployeeDtoList = new ArrayList<>();
		departmentEmployeeList.forEach(departmentEmployeeEntity -> {
			departmentEmployeeDtoList.add(BeanUtil.toBean(departmentEmployeeEntity, DepartmentEmployeeDTO.class));
		});
		return departmentEmployeeDtoList;
	}

	public List<DepartmentEmployeeEntity> findInfoByOrgId(String orgId) {
		return departmentEmployeeMapper.selectList(Wrappers.lambdaQuery(DepartmentEmployeeEntity.class)
				.eq(DepartmentEmployeeEntity::getOrgId, orgId)
				.eq(DepartmentEmployeeEntity::getDeleteTag, BaseConstant.DeleteTagStr.NOT_DELETED));
	}
}
