package com.tanpu.feo.feojob.service;

import java.util.List;
import java.util.stream.Collectors;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tanpu.feo.feojob.constant.BaseConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.tanpu.feo.feojob.entity.EmployeeRoleEntity;
import com.tanpu.feo.feojob.mapper.EmployeeRoleMapper;
import lombok.extern.slf4j.Slf4j;

/**
 * 员工角色关系表ServiceImp
 *
 * @author zejia zj wu 2021年05月18日
 * @version 1.0
 */
@Service("employeeRoleService")
@Slf4j
public class EmployeeRoleService extends ServiceImpl<EmployeeRoleMapper, EmployeeRoleEntity> {

	@Autowired
	private EmployeeRoleMapper employeeRoleMapper;

	public List<EmployeeRoleEntity> findInfoByOrgId(String orgId) {
		return employeeRoleMapper.selectList(Wrappers.lambdaQuery(EmployeeRoleEntity.class).eq(EmployeeRoleEntity::getOrgId, orgId).eq(EmployeeRoleEntity::getDeleteTag,"0"));
	}

	public List<String> findInfoByOrgIdAndAdmin(String orgId, String roleId) {
		List<EmployeeRoleEntity> employeeRoleList = employeeRoleMapper.selectList(Wrappers.lambdaQuery(EmployeeRoleEntity.class)
				.eq(EmployeeRoleEntity::getOrgId, orgId)
				.eq(EmployeeRoleEntity::getDeleteTag, BaseConstant.DeleteTagStr.NOT_DELETED)
				.eq(EmployeeRoleEntity::getRoleId, roleId));
		List<String> employeeIdList = employeeRoleList.stream().map(employeeRoleEntity -> employeeRoleEntity.getEmployeeId()).collect(Collectors.toList());
		return employeeIdList;
	}
}
